搜索 | 用户支持

防范以用户支持为名的诈骗。我们绝对不会要求您拨打电话或发送短信,及提供任何个人信息。请使用“举报滥用”选项报告涉及违规的行为。

Learn More

Version 3.6 does not work on certain sites and version 3.5.4 did, can I fall back to that?

  • 1 个回答
  • 1 人有此问题
  • 21 次查看
  • 最后回复者为 the-edmeister

more options

Everytime I use Firefox on this site certain features which work in Internet Explorer and early version of FF (3.5.4) no longer work. The site is Cognos Web Explorer site. The deveoper says that other users and he have noted this issue and place the fault on Firefox. They no longer reccommend your browser.

https://www.auxinfo.uscg.gov/cognos

由henryseiden于修改

所有回复 (1)

more options

I don't see any specific browser recommendations on that website, but without login credentials I can't see all that you can see perhaps. The developer can blame Firefox if he wants to, but IMO, that web page isn't even a legitimate web page.
http://validator.w3.org/check?uri=https://www.auxinfo.uscg.gov/cognos/

It lacks three important pieces of information that modern web browsers use to determine how the author wants the page to be displayed. Doctype, Character Encoding, and Parse Mode - which forces web browsers into the Quirks Mode. http://en.wikipedia.org/wiki/Quirks_Mode

Valid web pages stand a much better chance of being displayed properly in all browsers. The days of IE creating their own standards for the internet ended 5 years ago.